ceilometer unable to discover resources

asked 2020-02-17 04:56:43 -0500

AB239 gravatar image

Hi,

I am trying to install and configure ceilometer with Stein release of Openstack. I have a setup with 2 compute (physical hosts) and 1 VM as controller.

Following this URL to install: https://docs.openstack.org/ceilometer...

While installing ceilometer on compute side, I am getting following error:

 2020-02-17 16:04:52.722 2283 ERROR ceilometer.polling.manager [-] Unable to discover resources: 'libvirtError' object has no attribute 'message': AttributeError: 'libvirtError' object has no attribute 'message'
2020-02-17 16:04:52.722 2283 ERROR ceilometer.polling.manager Traceback (most recent call last):
2020-02-17 16:04:52.722 2283 ERROR ceilometer.polling.manager   File "/usr/lib/python3/dist-packages/ceilometer/compute/discovery.py", line 143, in discover_libvirt_polling
2020-02-17 16:04:52.722 2283 ERROR ceilometer.polling.manager     "http://openstack.org/xmlns/libvirt/nova/1.0")
2020-02-17 16:04:52.722 2283 ERROR ceilometer.polling.manager   File "/usr/lib/python3/dist-packages/libvirt.py", line 1567, in metadata
2020-02-17 16:04:52.722 2283 ERROR ceilometer.polling.manager     if ret is None: raise libvirtError ('virDomainGetMetadata() failed', dom=self)
2020-02-17 16:04:52.722 2283 ERROR ceilometer.polling.manager libvirt.libvirtError: metadata not found: Requested metadata element is not present
2020-02-17 16:04:52.722 2283 ERROR ceilometer.polling.manager 
2020-02-17 16:04:52.722 2283 ERROR ceilometer.polling.manager During handling of the above exception, another exception occurred:
2020-02-17 16:04:52.722 2283 ERROR ceilometer.polling.manager 
2020-02-17 16:04:52.722 2283 ERROR ceilometer.polling.manager Traceback (most recent call last):
2020-02-17 16:04:52.722 2283 ERROR ceilometer.polling.manager   File "/usr/lib/python3/dist-packages/ceilometer/polling/manager.py", line 473, in discover
2020-02-17 16:04:52.722 2283 ERROR ceilometer.polling.manager     discovered = discoverer.discover(self, param)
2020-02-17 16:04:52.722 2283 ERROR ceilometer.polling.manager   File "/usr/lib/python3/dist-packages/ceilometer/compute/discovery.py", line 120, in discover
2020-02-17 16:04:52.722 2283 ERROR ceilometer.polling.manager     return self.discover_libvirt_polling(manager, param=None)
2020-02-17 16:04:52.722 2283 ERROR ceilometer.polling.manager   File "/usr/lib/python3/dist-packages/tenacity/__init__.py", line 292, in wrapped_f
2020-02-17 16:04:52.722 2283 ERROR ceilometer.polling.manager     return self.call(f, *args, **kw)
2020-02-17 16:04:52.722 2283 ERROR ceilometer.polling.manager   File "/usr/lib/python3/dist-packages/tenacity/__init__.py", line 358, in call
2020-02-17 16:04:52.722 2283 ERROR ceilometer.polling.manager     do = self.iter(retry_state=retry_state)
2020-02-17 16:04:52.722 2283 ERROR ceilometer.polling.manager   File "/usr/lib/python3/dist-packages/tenacity/__init__.py", line 319, in iter
2020-02-17 16:04:52.722 2283 ERROR ceilometer.polling.manager     return fut.result()
2020-02-17 16:04:52.722 2283 ERROR ceilometer.polling.manager   File "/usr/lib/python3.6/concurrent/futures/_base.py", line 425, in result
2020-02-17 16:04:52.722 2283 ERROR ceilometer.polling.manager     return self.__get_result()
2020-02-17 16:04:52.722 2283 ERROR ceilometer.polling.manager   File "/usr/lib/python3.6/concurrent/futures/_base.py", line 384, in __get_result
2020-02-17 16:04:52.722 2283 ...
(more)
edit retag flag offensive close merge delete

1 answer

Sort by ยป oldest newest most voted
1

answered 2020-03-03 01:27:47 -0500

Shaoman Zhang gravatar image

Try to get the VM's metadata failed. The possible reason is this VM is not created by Nova.

edit flag offensive delete link more

Comments

Right! There is a VM which was not created by Nova. But, I need that VM. Can I ignore this error safely or it will impact metrics collection for other VMs too?

AB239 gravatar imageAB239 ( 2020-03-04 01:46:22 -0500 )edit
1

You can not get metrics for this VM, other VMs created by Nova can be collected normally.

Shaoman Zhang gravatar imageShaoman Zhang ( 2020-03-04 02:32:22 -0500 )edit

Hey. I am unable to get metrics of instance_disk and instance_network_interface types from the above mentioned compute node. Same configuration works fine for another compute node where I don't have the VM spawned outside nova.

AB239 gravatar imageAB239 ( 2020-03-09 01:36:25 -0500 )edit

Get to know Ask OpenStack

Resources for moderators

Question Tools

1 follower

Stats

Asked: 2020-02-17 04:56:43 -0500

Seen: 166 times

Last updated: Mar 03